// AODlg.h : header file
//

#if !defined(AFX_AODLG_H__B4E57D9E_528F_4BE1_8727_1436C72289E9__INCLUDED_)
#define AFX_AODLG_H__B4E57D9E_528F_4BE1_8727_1436C72289E9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CAODlg dialog

class CAODlg : public CDialog
{
// Construction
public:
	float GetDlgItemFloat(int nID);
	CAODlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CAODlg)
	enum { IDD = IDD_AO_DIALOG };
	CEdit	m_IDC_EDIT_AOVal;
	CComboBox	m_IDC_COMBO_SelectBoard;
	CComboBox	m_IDC_COMBO_Range;
	CComboBox	m_IDC_COMBO_Channel;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAODlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CAODlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSelchangeCOMBOSelectBoard();
	afx_msg void OnBTNOutput();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AODLG_H__B4E57D9E_528F_4BE1_8727_1436C72289E9__INCLUDED_)
